# lsp-plug-in-plugins-lv2-impulse-reverb-stereo

LSP Impulse Reverb Stereo

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstAudioFilter
                            ╰──lsp-plug-in-plugins-lv2-impulse-reverb-stereo

## Implemented interfaces

    GstPreset

## Factory details

Authors: – LSP LV2

Classification: – `Filter/Effect/Audio/LV2/Reverb`

Rank – none

Plugin – lv2

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: F32LE
           channels: 2
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: F32LE
           channels: 2
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – src

Object type – GstPad

## Properties

### bypass

    “bypass” gboolean

Bypass

Flags : Read / Write / Construct

Default value : false

### ca0

    “ca0” gboolean

Channel activity 0

Flags : Read

Default value : false

### ca1

    “ca1” gboolean

Channel activity 1

Flags : Read

Default value : false

### ca2

    “ca2” gboolean

Channel activity 2

Flags : Read

Default value : false

### ca3

    “ca3” gboolean

Channel activity 3

Flags : Read

Default value : false

### cam0

    “cam0” gboolean

Channel mute 0

Flags : Read / Write / Construct

Default value : false

### cam1

    “cam1” gboolean

Channel mute 1

Flags : Read / Write / Construct

Default value : false

### cam2

    “cam2” gboolean

Channel mute 2

Flags : Read / Write / Construct

Default value : false

### cam3

    “cam3” gboolean

Channel mute 3

Flags : Read / Write / Construct

Default value : false

### cim0

    “cim0” gfloat

Left/Right input mix 0

Flags : Read / Write / Construct

Default value : -100

### cim1

    “cim1” gfloat

Left/Right input mix 1

Flags : Read / Write / Construct

Default value : -100

### cim2

    “cim2” gfloat

Left/Right input mix 2

Flags : Read / Write / Construct

Default value : 100

### cim3

    “cim3” gfloat

Left/Right input mix 3

Flags : Read / Write / Construct

Default value : 100

### com0

    “com0” gfloat

Channel Left/Right output mix 0

Flags : Read / Write / Construct

Default value : -100

### com1

    “com1” gfloat

Channel Left/Right output mix 1

Flags : Read / Write / Construct

Default value : 100

### com2

    “com2” gfloat

Channel Left/Right output mix 2

Flags : Read / Write / Construct

Default value : -100

### com3

    “com3” gfloat

Channel Left/Right output mix 3

Flags : Read / Write / Construct

Default value : 100

### csf0

    “csf0” Lsp-plug-in-plugins-lv2-impulse-reverb-stereocsf0 *

Channel source file 0

Flags : Read / Write / Construct

Default value : None (0)

### csf1

    “csf1” Lsp-plug-in-plugins-lv2-impulse-reverb-stereocsf1 *

Channel source file 1

Flags : Read / Write / Construct

Default value : None (0)

### csf2

    “csf2” Lsp-plug-in-plugins-lv2-impulse-reverb-stereocsf2 *

Channel source file 2

Flags : Read / Write / Construct

Default value : None (0)

### csf3

    “csf3” Lsp-plug-in-plugins-lv2-impulse-reverb-stereocsf3 *

Channel source file 3

Flags : Read / Write / Construct

Default value : None (0)

### cst0

    “cst0” Lsp-plug-in-plugins-lv2-impulse-reverb-stereocst0 *

Channel source track 0

Flags : Read / Write / Construct

Default value : Track 1 (0)

### cst1

    “cst1” Lsp-plug-in-plugins-lv2-impulse-reverb-stereocst1 *

Channel source track 1

Flags : Read / Write / Construct

Default value : Track 2 (1)

### cst2

    “cst2” Lsp-plug-in-plugins-lv2-impulse-reverb-stereocst2 *

Channel source track 2

Flags : Read / Write / Construct

Default value : Track 3 (2)

### cst3

    “cst3” Lsp-plug-in-plugins-lv2-impulse-reverb-stereocst3 *

Channel source track 3

Flags : Read / Write / Construct

Default value : Track 4 (3)

### dry

    “dry” gfloat

Dry amount

Flags : Read / Write / Construct

Default value : 1

### eq-0

    “eq-0” gfloat

Band 50Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-1

    “eq-1” gfloat

Band 107Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-2

    “eq-2” gfloat

Band 227Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-3

    “eq-3” gfloat

Band 484Hz gain

Flags : Read / Write / Construct

Default value : 1

### eq-4

    “eq-4” gfloat

Band 1 kHz gain

Flags : Read / Write / Construct

Default value : 1

### eq-5

    “eq-5” gfloat

Band 2.2 kHz gain

Flags : Read / Write / Construct

Default value : 1

### eq-6

    “eq-6” gfloat

Band 4.7 kHz gain

Flags : Read / Write / Construct

Default value : 1

### eq-7

    “eq-7” gfloat

Band 10 kHz gain

Flags : Read / Write / Construct

Default value : 1

### fft

    “fft” Lsp-plug-in-plugins-lv2-impulse-reverb-stereofft *

FFT size

Flags : Read / Write / Construct

Default value : 32767 (6)

### fsel

    “fsel” Lsp-plug-in-plugins-lv2-impulse-reverb-stereofsel *

File selector

Flags : Read / Write / Construct

Default value : File 1 (0)

### g-out

    “g-out” gfloat

Output gain

Flags : Read / Write / Construct

Default value : 1

### hcf

    “hcf” gfloat

High-cut frequency

Flags : Read / Write / Construct

Default value : 10000

### hcm

    “hcm” Lsp-plug-in-plugins-lv2-impulse-reverb-stereohcm *

High-cut mode

Flags : Read / Write / Construct

Default value : off (0)

### ifi0

    “ifi0” gfloat

Fade in 0

Flags : Read / Write / Construct

Default value : 0

### ifi1

    “ifi1” gfloat

Fade in 1

Flags : Read / Write / Construct

Default value : 0

### ifi2

    “ifi2” gfloat

Fade in 2

Flags : Read / Write / Construct

Default value : 0

### ifi3

    “ifi3” gfloat

Fade in 3

Flags : Read / Write / Construct

Default value : 0

### ifl0

    “ifl0” gfloat

Impulse length 0

Flags : Read

Default value : 0

### ifl1

    “ifl1” gfloat

Impulse length 1

Flags : Read

Default value : 0

### ifl2

    “ifl2” gfloat

Impulse length 2

Flags : Read

Default value : 0

### ifl3

    “ifl3” gfloat

Impulse length 3

Flags : Read

Default value : 0

### ifo0

    “ifo0” gfloat

Fade out 0

Flags : Read / Write / Construct

Default value : 0

### ifo1

    “ifo1” gfloat

Fade out 1

Flags : Read / Write / Construct

Default value : 0

### ifo2

    “ifo2” gfloat

Fade out 2

Flags : Read / Write / Construct

Default value : 0

### ifo3

    “ifo3” gfloat

Fade out 3

Flags : Read / Write / Construct

Default value : 0

### ifs0

    “ifs0” gint

Load status 0

Flags : Read

Default value : 0

### ifs1

    “ifs1” gint

Load status 1

Flags : Read

Default value : 0

### ifs2

    “ifs2” gint

Load status 2

Flags : Read

Default value : 0

### ifs3

    “ifs3” gint

Load status 3

Flags : Read

Default value : 0

### ihc0

    “ihc0” gfloat

Head cut 0

Flags : Read / Write / Construct

Default value : 0

### ihc1

    “ihc1” gfloat

Head cut 1

Flags : Read / Write / Construct

Default value : 0

### ihc2

    “ihc2” gfloat

Head cut 2

Flags : Read / Write / Construct

Default value : 0

### ihc3

    “ihc3” gfloat

Head cut 3

Flags : Read / Write / Construct

Default value : 0

### ils0

    “ils0” gboolean

Impulse listen 0

Flags : Read / Write / Construct

Default value : false

### ils1

    “ils1” gboolean

Impulse listen 1

Flags : Read / Write / Construct

Default value : false

### ils2

    “ils2” gboolean

Impulse listen 2

Flags : Read / Write / Construct

Default value : false

### ils3

    “ils3” gboolean

Impulse listen 3

Flags : Read / Write / Construct

Default value : false

### irv0

    “irv0” gboolean

Impulse reverse 0

Flags : Read / Write / Construct

Default value : false

### irv1

    “irv1” gboolean

Impulse reverse 1

Flags : Read / Write / Construct

Default value : false

### irv2

    “irv2” gboolean

Impulse reverse 2

Flags : Read / Write / Construct

Default value : false

### irv3

    “irv3” gboolean

Impulse reverse 3

Flags : Read / Write / Construct

Default value : false

### itc0

    “itc0” gfloat

Tail cut 0

Flags : Read / Write / Construct

Default value : 0

### itc1

    “itc1” gfloat

Tail cut 1

Flags : Read / Write / Construct

Default value : 0

### itc2

    “itc2” gfloat

Tail cut 2

Flags : Read / Write / Construct

Default value : 0

### itc3

    “itc3” gfloat

Tail cut 3

Flags : Read / Write / Construct

Default value : 0

### lcf

    “lcf” gfloat

Low-cut frequency

Flags : Read / Write / Construct

Default value : 50

### lcm

    “lcm” Lsp-plug-in-plugins-lv2-impulse-reverb-stereolcm *

Low-cut mode

Flags : Read / Write / Construct

Default value : off (0)

### mk0

    “mk0” gfloat

Makeup gain 0

Flags : Read / Write / Construct

Default value : 1

### mk1

    “mk1” gfloat

Makeup gain 1

Flags : Read / Write / Construct

Default value : 1

### mk2

    “mk2” gfloat

Makeup gain 2

Flags : Read / Write / Construct

Default value : 1

### mk3

    “mk3” gfloat

Makeup gain 3

Flags : Read / Write / Construct

Default value : 1

### out-latency

    “out-latency” gint

Latency OUT

Flags : Read

Default value : 0

### pd

    “pd” gfloat

Pre-delay

Flags : Read / Write / Construct

Default value : 0

### pd0

    “pd0” gfloat

Channel pre-delay 0

Flags : Read / Write / Construct

Default value : 0

### pd1

    “pd1” gfloat

Channel pre-delay 1

Flags : Read / Write / Construct

Default value : 0

### pd2

    “pd2” gfloat

Channel pre-delay 2

Flags : Read / Write / Construct

Default value : 0

### pd3

    “pd3” gfloat

Channel pre-delay 3

Flags : Read / Write / Construct

Default value : 0

### pl

    “pl” gfloat

Left channel panorama

Flags : Read / Write / Construct

Default value : -100

### pr

    “pr” gfloat

Right channel panorama

Flags : Read / Write / Construct

Default value : 100

### wet

    “wet” gfloat

Wet amount

Flags : Read / Write / Construct

Default value : 1

### wpp

    “wpp” gboolean

Wet post-process

Flags : Read / Write / Construct

Default value : false

## Named constants

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereocsf0

#### Members

`None` (0) – None
`File 1` (1) – File 1
`File 2` (2) – File 2
`File 3` (3) – File 3
`File 4` (4) – File 4

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereocsf1

#### Members

`None` (0) – None
`File 1` (1) – File 1
`File 2` (2) – File 2
`File 3` (3) – File 3
`File 4` (4) – File 4

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereocsf2

#### Members

`None` (0) – None
`File 1` (1) – File 1
`File 2` (2) – File 2
`File 3` (3) – File 3
`File 4` (4) – File 4

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereocsf3

#### Members

`None` (0) – None
`File 1` (1) – File 1
`File 2` (2) – File 2
`File 3` (3) – File 3
`File 4` (4) – File 4

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereocst0

#### Members

`Track 1` (0) – Track 1
`Track 2` (1) – Track 2
`Track 3` (2) – Track 3
`Track 4` (3) – Track 4
`Track 5` (4) – Track 5
`Track 6` (5) – Track 6
`Track 7` (6) – Track 7
`Track 8` (7) – Track 8

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereocst1

#### Members

`Track 1` (0) – Track 1
`Track 2` (1) – Track 2
`Track 3` (2) – Track 3
`Track 4` (3) – Track 4
`Track 5` (4) – Track 5
`Track 6` (5) – Track 6
`Track 7` (6) – Track 7
`Track 8` (7) – Track 8

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereocst2

#### Members

`Track 1` (0) – Track 1
`Track 2` (1) – Track 2
`Track 3` (2) – Track 3
`Track 4` (3) – Track 4
`Track 5` (4) – Track 5
`Track 6` (5) – Track 6
`Track 7` (6) – Track 7
`Track 8` (7) – Track 8

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereocst3

#### Members

`Track 1` (0) – Track 1
`Track 2` (1) – Track 2
`Track 3` (2) – Track 3
`Track 4` (3) – Track 4
`Track 5` (4) – Track 5
`Track 6` (5) – Track 6
`Track 7` (6) – Track 7
`Track 8` (7) – Track 8

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereofft

#### Members

`512` (0) – 512
`1024` (1) – 1024
`2048` (2) – 2048
`4096` (3) – 4096
`8192` (4) – 8192
`16384` (5) – 16384
`32767` (6) – 32767
`65536` (7) – 65536

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereofsel

#### Members

`File 1` (0) – File 1
`File 2` (1) – File 2
`File 3` (2) – File 3
`File 4` (3) – File 4

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereohcm

#### Members

`off` (0) – off
`6 dB/oct` (1) – 6 dB/oct
`12 dB/oct` (2) – 12 dB/oct
`18 dB/oct` (3) – 18 dB/oct

### Lsp-plug-in-plugins-lv2-impulse-reverb-stereolcm

#### Members

`off` (0) – off
`6 dB/oct` (1) – 6 dB/oct
`12 dB/oct` (2) – 12 dB/oct
`18 dB/oct` (3) – 18 dB/oct

The results of the search are